<?php
if(!isset($color['general_setting']['COLOR_GENERAL_ACTIONBAR_BG']) || $default == 1){
	$color['general_setting']['COLOR_GENERAL_ACTIONBAR_BG'] = array(
		'title' => 'Action Bar Background Color',
		'value' => '#f5363e'
	);
}

if(!isset($color['general_setting']['COLOR_GENERAL_STATUSBAR_BG']) || $default == 1){
	$color['general_setting']['COLOR_GENERAL_STATUSBAR_BG'] = array(
		'title' => 'Status Bar Background Color' ,
		'value' => '#f53600'
	);
}

if(!isset($color['general_setting']['COLOR_GENERAL_MAIN_BG']) || $default == 1){
	$color['general_setting']['COLOR_GENERAL_MAIN_BG'] = array(
		'title' => 'Home Background Color' ,
		'value' => '#eeeeee'
	);
}

if(!isset($color['general_setting']['COLOR_GENERAL_ACTIONBAR_TXT']) || $default == 1)
	$color['general_setting']['COLOR_GENERAL_ACTIONBAR_TXT'] = array(
		'title' => 'Action Bar Text Color',
		'value' => '#ffffff'
	);

if(!isset($color['general_setting']['COLOR_CELL_CAT_BG']) || $default == 1)
	$color['general_setting']['COLOR_CELL_CAT_BG'] = array(
		'title' => 'Category Background Color',
		'value' => '#ffffff'
	);

if(!isset($color['general_setting']['COLOR_CELL_CAT_TXT']) || $default == 1)
	$color['general_setting']['COLOR_CELL_CAT_TXT'] = array(
		'title' => ' Category Text Color',
		'value' => '#000000'
	);

if(!isset($color['general_setting']['COLOR_GENERAL_SPLASH_BG']) || $default == 1)
	$color['general_setting']['COLOR_GENERAL_SPLASH_BG'] = array(
		'title' => 'Splash Background Color',
		'value' => '#ffffff'
	);

////////////////////////////////////////////////////////////////////////

if(!isset($color['amazing_suggestion']['COLOR_VIZHE_TXT']) || $default == 1)
	$color['amazing_suggestion']['COLOR_VIZHE_TXT'] = array(
		'title' => 'Text Color',
		'value' => '#ff0000'
	);

if(!isset($color['amazing_suggestion']['COLOR_VIZHE_SELLOL_ZAMAN']) || $default == 1)
	$color['amazing_suggestion']['COLOR_VIZHE_SELLOL_ZAMAN'] = array(
		'title' => 'Time Background Color',
		'value' => '#666666'
	);

if(!isset($color['amazing_suggestion']['COLOR_VIZHE_ZAMAN_TXT']) || $default == 1)
	$color['amazing_suggestion']['COLOR_VIZHE_ZAMAN_TXT'] = array(
		'title' => 'Time Text Color',
		'value' => '#ffffff'
	);

////////////////////////////////////////////

if(!isset($color['main_page']['COLOR_CATLISTBUTTON_BG']) || $default == 1)
	$color['main_page']['COLOR_CATLISTBUTTON_BG'] = array(
		'title' => 'Category Button Background Color',
		'value' => '#1aac1a'
	);

if(!isset($color['main_page']['COLOR_CATLISTBUTTON_TEXT']) || $default == 1)
	$color['main_page']['COLOR_CATLISTBUTTON_TEXT'] = array(
		'title' => 'Category Button Text Color',
		'value' => '#ffffff'
	);

if(!isset($color['main_page']['COLOR_MOREBUTTON_BG']) || $default == 1)
	$color['main_page']['COLOR_MOREBUTTON_BG'] = array(
		'title' => '"more" Button Background Color',
		'value' => '#f5363e'
	);

if(!isset($color['main_page']['COLOR_MOREBUTTON_TEXT']) || $default == 1)
	$color['main_page']['COLOR_MOREBUTTON_TEXT'] = array(
		'title' => '"more" Button Text Color',
		'value' => '#ffffff'
	);

if(!isset($color['main_page']['COLOR_PRODUCTCELL_BG']) || $default == 1)
	$color['main_page']['COLOR_PRODUCTCELL_BG'] = array(
		'title' => 'Product Cell Background Color',
		'value' => '#ffffff'
	);

if(!isset($color['main_page']['COLOR_PRODUCTCELL_TITLE_TEXT']) || $default == 1)
	$color['main_page']['COLOR_PRODUCTCELL_TITLE_TEXT'] = array(
		'title' => 'Product Title Text Color',
		'value' => '#000000'
	);

if(!isset($color['main_page']['COLOR_PRODUCTCELL_PRICE_TEXT']) || $default == 1){
	$color['main_page']['COLOR_PRODUCTCELL_PRICE_TEXT'] = array(
		'title' => 'Product Price Text Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['main_page']['COLOR_PRODUCTCELL_OFFPRICE_TEXT']) || $default == 1) {
	$color['main_page']['COLOR_PRODUCTCELL_OFFPRICE_TEXT'] = array(
		'title' => 'Discount Text Color',
		'value' => '#ff0000'
	);
}

if(!isset($color['main_page']['COLOR_MENU_BG']) || $default == 1){
	$color['main_page']['COLOR_MENU_BG'] = array(
		'title' => 'Menu Background Color',
		'value' => '#eeeeee'
	);
}

if(!isset($color['main_page']['COLOR_MENU_TEXT']) || $default == 1){
	$color['main_page']['COLOR_MENU_TEXT'] = array(
		'title' => 'Menu Text Color',
		'value' => '#000000'
	);
}

if(!isset($color['main_page']['COLOR_LIST_PRICE_DEVIDER_BG']) || $default == 1){
	$color['main_page']['COLOR_LIST_PRICE_DEVIDER_BG'] = array(
		'title' => 'Separator Price Background Color',
		'value' => '#cfcdcd'
	);
}

if(!isset($color['main_page']['COLOR_MENU_FLOT_BG']) || $default == 1){
	$color['main_page']['COLOR_MENU_FLOT_BG'] = array(
		'title' => 'Floating Button Background Color',
		'value' => '#f5363e'
	);
}

if(!isset($color['main_page']['COLOR_LIST_TITLE_TEXT']) || $default == 1){
	$color['main_page']['COLOR_LIST_TITLE_TEXT'] = array(
		'title' => 'List Title Text Color',
		'value' => '#000000'
	);
}

if(!isset($color['main_page']['UNAVAILABLE_PRODUCT_COLOR']) || $default == 1){
	$color['main_page']['UNAVAILABLE_PRODUCT_COLOR'] = array(
		'title' => '"Out Of Stock" Text Color',
		'value' => '#000000'
	);
}

if(!isset($color['main_page']['BG_BTN_BASKET_CELL']) || $default == 1){
	$color['main_page']['BG_BTN_BASKET_CELL'] = array(
		'title' => 'Add To Cart Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['main_page']['TXT_BTN_BASKET_CELL']) || $default == 1){
	$color['main_page']['TXT_BTN_BASKET_CELL'] = array(
		'title' => 'Add To Cart Button Text Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['main_page']['BG_BTN_INCREASE_CELL']) || $default == 1){
	$color['main_page']['BG_BTN_INCREASE_CELL'] = array(
		'title' => 'Increase Count Background Color',
		'value' => '#f5363e'
	);
}

if(!isset($color['main_page']['TXT_INCREASE_CELL']) || $default == 1){
	$color['main_page']['TXT_INCREASE_CELL'] = array(
		'title' => 'Increase Count Text Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['main_page']['COLOR_GENERAL_TABBAR_BG']) || $default == 1){
	$color['main_page']['COLOR_GENERAL_TABBAR_BG'] = array(
		'title' => 'Tab Bar Background Color',
		'value' => '#FF0000'
	);
}

if(!isset($color['main_page']['COLOR_GENERAL_TABBAR_SEL']) || $default == 1){
	$color['main_page']['COLOR_GENERAL_TABBAR_SEL'] = array(
		'title' => 'Tab Bar Selected Text Color',
		'value' => '#F5363E'
	);
}

if(!isset($color['main_page']['COLOR_GENERAL_TABBAR_TXT']) || $default == 1){
	$color['main_page']['COLOR_GENERAL_TABBAR_TXT'] = array(
		'title' => 'Tab Bar Text Color',
		'value' => '#ffffff'
	);
}

//////////////////////////////////////////

if(!isset($color['shopping_cart_page']['COLOR_BASKET_LIST_BG']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_LIST_BG'] = array(
		'title' => 'List Background Color',
		'value' => '#ffffff'
	);
}


if(!isset($color['shopping_cart_page']['COLOR_BASKET_P_TITLE_TEXT']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_P_TITLE_TEXT'] = array(
		'title' => 'Product Title Color',
		'value' => '#000000'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_PRICEVAHED_TEXT']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_PRICEVAHED_TEXT'] = array(
		'title' => 'Unit Price Text Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_PRICEVAHED_BG']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_PRICEVAHED_BG'] = array(
		'title' => 'Unit Price Background Color',
		'value' => '#e7e7e7'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_PRICEKOL_TEXT']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_PRICEKOL_TEXT'] = array(
		'title' => 'Total Price Text Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_PRICEKOL_BG']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_PRICEKOL_BG'] = array(
		'title' => 'Total Price Background Color',
		'value' => '#e7e7e7'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_DEL_TEXT']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_DEL_TEXT'] = array(
		'title' => 'Delete Button Text Color',
		'value' => '#f5363e'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_DEL_BG']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_DEL_BG'] = array(
		'title' => '"delete" Button Background Color',
		'value' => '#e7e7e7'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_TOTAL_TEXT']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_TOTAL_TEXT'] = array(
		'title' => 'Total Text Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_TOTAL_BG']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_TOTAL_BG'] = array(
		'title' => 'Total Background Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_COMPLETEORDER_BG']) || $default == 1){
	$color['shopping_cart_page']['COLOR_COMPLETEORDER_BG'] = array(
		'title' => '"Checkout" Text Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_COMPLETEORDER_TEXT']) || $default == 1){
	$color['shopping_cart_page']['COLOR_COMPLETEORDER_TEXT'] = array(
		'title' => '"Checkout" Background Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['shopping_cart_page']['COLOR_BASKET_COUNT_TEXT']) || $default == 1){
	$color['shopping_cart_page']['COLOR_BASKET_COUNT_TEXT'] = array(
		'title' => 'Product Count',
		'value' => '#000000'
	);
}


////////////////////////////////////////////
if(!isset($color['product_page']['COLOR_ADDCARD_BG']) || $default == 1){
	$color['product_page']['COLOR_ADDCARD_BG'] = array(
		'title' => 'Add To Cart Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['product_page']['COLOR_ADDCARD_TEXT']) || $default == 1){
	$color['product_page']['COLOR_ADDCARD_TEXT'] = array(
		'title' => 'Add To Cart Button Text Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['product_page']['COLOR_PRODUCTGALLERY_BG']) || $default == 1){
	$color['product_page']['COLOR_PRODUCTGALLERY_BG'] = array(
		'title' => 'Gallery Background Color',
		'value' => '#eeeeee'
	);
}

if(!isset($color['product_page']['COLOR_PRODUC_TTITLE_TEXT']) || $default == 1){
	$color['product_page']['COLOR_PRODUC_TTITLE_TEXT'] = array(
		'title' => 'Product Title Text Color',
		'value' => '#000000'
	);
}

if(!isset($color['product_page']['COLOR_PRODUCT_PRICE_TEXT']) || $default == 1){
	$color['product_page']['COLOR_PRODUCT_PRICE_TEXT'] = array(
		'title' => 'Product Price Text Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['product_page']['COLOR_PRODUCT_PRICEOFF_TEXT']) || $default == 1){
	$color['product_page']['COLOR_PRODUCT_PRICEOFF_TEXT'] = array(
		'title' => 'Discount Text Color',
		'value' => '#f5363e'
	);
}

//////////////////////////////////////////////

if(!isset($color['order_description_page']['COLOR_DETAILO_PAYBUTTON_BG']) || $default == 1){
	$color['order_description_page']['COLOR_DETAILO_PAYBUTTON_BG'] = array(
		'title' => 'Payment Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['order_description_page']['COLOR_DETAILO_PAYBUTTON_TEXT']) || $default == 1){
	$color['order_description_page']['COLOR_DETAILO_PAYBUTTON_TEXT'] = array(
		'title' => 'Payment Button Text Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['order_description_page']['COLOR_DETAILO_PAYDES_TEXT']) || $default == 1){
	$color['order_description_page']['COLOR_DETAILO_PAYDES_TEXT'] = array(
		'title' => 'Description Text Color',
		'value' => '#000000'
	);
}

if(!isset($color['order_description_page']['COLOR_DETAILO_PAYDES_BG']) || $default == 1){
	$color['order_description_page']['COLOR_DETAILO_PAYDES_BG'] = array(
		'title' => 'Description Background Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['order_description_page']['COLOR_DETAILO_PAYITEM_BG']) || $default == 1){
	$color['order_description_page']['COLOR_DETAILO_PAYITEM_BG'] = array(
		'title' => 'Order Items Background Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['order_description_page']['COLOR_DETAILO_PAYITEM_TEXT']) || $default == 1){
	$color['order_description_page']['COLOR_DETAILO_PAYITEM_TEXT'] = array(
		'title' => 'Order Items Text Color',
		'value' => '#000000'
	);
}

//////////////////////////////////////////////

if(!isset($color['order_page']['COLOR_SUBTMIORDER_BG']) || $default == 1){
	$color['order_page']['COLOR_SUBTMIORDER_BG'] = array(
		'title' => 'Order Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['order_page']['COLOR_SUBMITORDER_TEXT']) || $default == 1){
	$color['order_page']['COLOR_SUBMITORDER_TEXT'] = array(
		'title' => 'Order Button Text Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['order_page']['COLOR_SUBMITORDER_ACCONT_TEXT']) || $default == 1){
	$color['order_page']['COLOR_SUBMITORDER_ACCONT_TEXT'] = array(
		'title' => 'Text Color of "Have an account?"',
		'value' => '#f5363e'
	);
}

if(!isset($color['order_page']['COLOR_SUBMITORDER_TOTAL_TEXT']) || $default == 1){
	$color['order_page']['COLOR_SUBMITORDER_TOTAL_TEXT'] = array(
		'title' => 'Total Order Amount Color',
		'value' => '#1d89e4'
	);
}

//////////////////////////////////////////////

if(!isset($color['register_page']['COLOR_REGISTERBUTTON_BG']) || $default == 1){
	$color['register_page']['COLOR_REGISTERBUTTON_BG'] = array(
		'title' => 'Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['register_page']['COLOR_REGISTERBUTTON_TEXT']) || $default == 1){
	$color['register_page']['COLOR_REGISTERBUTTON_TEXT'] = array(
		'title' => 'Button Text Color',
		'value' => '#ffffff'
	);
}

//////////////////////////////////////////////
if(!isset($color['edit_user_page']['COLOR_EDITUSERBUTTON_BG']) || $default == 1){
	$color['edit_user_page']['COLOR_EDITUSERBUTTON_BG'] = array(
		'title' => 'Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['edit_user_page']['COLOR_EDITUSERBUTTON_TEXT']) || $default == 1){
	$color['edit_user_page']['COLOR_EDITUSERBUTTON_TEXT'] = array(
		'title' => 'Button Text Color',
		'value' => '#ffffff'
	);
}


//////////////////////////////////////////////

if(!isset($color['login_page']['COLOR_LOGINBUTTON_BG']) || $default == 1){
	$color['login_page']['COLOR_LOGINBUTTON_BG'] = array(
		'title' => 'Login Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['login_page']['COLOR_LOGINBUTTON_TEXT']) || $default == 1){
	$color['login_page']['COLOR_LOGINBUTTON_TEXT'] = array(
		'title' => 'Login Button Text Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['login_page']['COLOR_LOGIN_FORGETPPASS_TEXT']) || $default == 1){
	$color['login_page']['COLOR_LOGIN_FORGETPPASS_TEXT'] = array(
		'title' => '"Forgot Your Password?" Text Color',
		'value' => '#000000'
	);
}

if(!isset($color['login_page']['COLOR_LOGIN_REGISTER_TEXT']) || $default == 1){
	$color['login_page']['COLOR_LOGIN_REGISTER_TEXT'] = array(
		'title' => '"register" Color Text',
		'value' => '#1d89e4'
	);
}

if(!isset($color['login_page']['COLOR_LOGIN_TextBox_TEXT']) || $default == 1){
	$color['login_page']['COLOR_LOGIN_TextBox_TEXT'] = array(
		'title' => 'TextBox Color',
		'value' => '#ffffff'
	);
}

if(!isset($color['login_page']['COLOR_LOGIN_BG_Register_BTN']) || $default == 1){
	$color['login_page']['COLOR_LOGIN_BG_Register_BTN'] = array(
		'title' => '"Register" Button Background Color',
		'value' => '#ffffff'
	);
}

//////////////////////////////////////////////

if(!isset($color['change_pass_page']['COLOR_CHANGEPASS_BG']) || $default == 1){
	$color['change_pass_page']['COLOR_CHANGEPASS_BG'] = array(
		'title' => 'Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['change_pass_page']['COLOR_CHANGEPASS_TEXT']) || $default == 1){
	$color['change_pass_page']['COLOR_CHANGEPASS_TEXT'] = array(
		'title' => 'Button Text Color',
		'value' => '#ffffff'
	);
}

//////////////////////////////////////////////


if(!isset($color['forget']['COLOR_FORGETBUTTON_BG']) || $default == 1){
	$color['forget']['COLOR_FORGETBUTTON_BG'] = array(
		'title' => 'Button Background Color',
		'value' => '#1aac1a'
	);
}

if(!isset($color['forget']['COLOR_FORGETBUTTON_TEXT']) || $default == 1){
	$color['forget']['COLOR_FORGETBUTTON_TEXT'] = array(
		'title' => 'Button Text Color',
		'value' => '#ffffff'
	);
}

////////////////////////////////////////////

update_option('woo2app_color_setting'  , $color);